org.apache.fop.render.java2d

## Interface FontMetricsMapper

All Superinterfaces:
  FontMetrics

All Known Implementing Classes:
  CustomFontMetricsMapper, SystemFontMetricsMapper

    public interface FontMetricsMapper
    extends FontMetrics

Adds method to retrieve the actual `Font` for use by `Java2DRenderer`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`Font` `getFont(int size)` Gets a `Font` instance of the font that this `FontMetrics` describes in the desired size.

### Methods inherited from interface org.apache.fop.fonts.FontMetrics

`getAscender, getBoundingBox, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFontURI, getFullName, getKerningInfo, getMaxAscent, getStrikeoutPosition, getStrikeoutThickness, getUnderlinePosition, getUnderlineThickness, getWidth, getWidths, getXHeight, hasFeature, hasKerningInfo, isMultiByte`

### Method Detail

#### getFont

    Font getFont(int size)

Gets a `Font` instance of the font that this `FontMetrics` describes in the desired size.

Parameters:
  `size` - font size
Returns:
  font with the desired characteristics.